
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("0                                                                                                  10", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                                                  10"+ "'", str2.equals("                                                                                                  10"));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    byte[] byte_array1 = new byte[] { (byte)0 };
    byte byte2 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(byte_array1, ' ', 3, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = org.apache.commons.lang3.StringUtils.toString(byte_array1, "aaaaaaaaaaa");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("hi!0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!0"+ "'", str1.equals("hi!0"));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("1.0#10.0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace(" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"                                                                                        0.0 100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"000                                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("0.0 100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0 100.0"+ "'", str1.equals("0.0 100.0"));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    float[] f_array2 = new float[] { 1.0f, 10.0f };
    float f3 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(f_array2, '4', 1, 1);
    float f8 = org.apache.commons.lang3.math.NumberUtils.min(f_array2);
    float f9 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    java.lang.String str13 = org.apache.commons.lang3.StringUtils.join(f_array2, '4', 2, 0);
    java.lang.String str15 = org.apache.commons.lang3.StringUtils.join(f_array2, '4');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = org.apache.commons.lang3.StringUtils.join(f_array2, ' ', (-1), 97);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1.0410.0"+ "'", str15.equals("1.0410.0"));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)1, (short)0, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h##########a1##########h##########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("-1");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, ' ', 2, 9);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", (java.lang.CharSequence)"!ih");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", charSequence2.equals("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h##########a1##########h##########", (java.lang.CharSequence)"hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("", "0.0 100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("-1", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterTypeCamelCase("10");
    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.stripAll(str_array1, "hi!0");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, "", 9, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"0                                                                                                  10", (java.lang.CharSequence)"1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("##########", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "##########"+ "'", str2.equals("##########"));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    java.lang.CharSequence charSequence1 = null;
    char[] char_array3 = new char[] {  };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(char_array3, '4');
    boolean b6 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"\r", char_array3);
    int i7 = org.apache.commons.lang3.StringUtils.indexOfAny(charSequence1, char_array3);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(char_array3, ' ');
    boolean b10 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"HI!", char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.min((-1L), 0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-1L));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("", 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(100.0f, (-1.0f), 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 100.0f);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"100a-1      ...", (java.lang.CharSequence)"10#-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("10", "-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "10"+ "'", str2.equals("10"));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    int i1 = org.apache.commons.lang3.StringUtils.length((java.lang.CharSequence)"###########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 11);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"100a-1", (java.lang.CharSequence)"#########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min((-1), 97, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"041040", (java.lang.CharSequence)"1.0 1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("                                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)" 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"100a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace(" 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str1.equals("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("000############################################################################################1.0a10.0000############################################################################################1.0a");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("                                                                                                  10", "   a-1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                                                  10"+ "'", str2.equals("                                                                                                  10"));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("000############################################################################################1.0a10.0000############################################################################################1.0a10.0000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "000############################################################################################1.0a10.0000############################################################################################1.0a10.0000"+ "'", str1.equals("000############################################################################################1.0a10.0000############################################################################################1.0a10.0000"));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"0.0 100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    java.lang.CharSequence[] charSequence_array2 = null;
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.appendIfMissing("0", (java.lang.CharSequence)"\r        ", charSequence_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0\r        "+ "'", str3.equals("0\r        "));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)0, (byte)100, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(444.0f, (-1.0f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-1.0f));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"##########", 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)0, (byte)10, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("", 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("\r   ...", "   -1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r   ..."+ "'", str2.equals("\r   ..."));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("", "1.04-1.04100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1.04-1.04100.0"+ "'", str2.equals("1.04-1.04100.0"));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("0.0a100.0", 108, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0.0a100.0                                                                                                   "+ "'", str3.equals("0.0a100.0                                                                                                   "));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min((-1), 1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"\r10.0#100.                                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("HI!    -1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("\r.0  ", "aa ", "#10.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r.0  "+ "'", str3.equals("\r.0  "));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("0.0a100.0", "hi ! 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.0a100."+ "'", str2.equals("0.0a100."));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    int[] i_array1 = new int[] { 0 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(i_array1, 'a', 10, 3);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(i_array1, '#', 3, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = org.apache.commons.lang3.StringUtils.join(i_array1, ' ', (-1), 108);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("000", 100, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars(" ", '#', '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " "+ "'", str3.equals(" "));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + long1 + "' != '" + 0L+ "'", long1.equals(0L));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("100.0", (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("100a-10000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100a-1000"+ "'", str1.equals("100a-1000"));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"   ...", (java.lang.CharSequence)"000                                                                                                    ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"-1.0a-1.0", (java.lang.CharSequence)"000############################################################################################1.0a10.0000############################################################################################1.0a10.0000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("\r   ...", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r   ..."+ "'", str2.equals("\r   ..."));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("100a-1      ...", "0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", 6);
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array3, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1 a-1      ..."+ "'", str5.equals("1 a-1      ..."));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"0.0a100.", (java.lang.CharSequence)"   -1   ", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("\r", "1a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r"+ "'", str2.equals("\r"));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"   -1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"aaaaaaaaaaa", (java.lang.CharSequence)"1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("1.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.upperCase("-1.", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("aa1", " ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " "+ "'", str2.equals(" "));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("######################################################################################           ", "#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "######################################################################################           "+ "'", str2.equals("######################################################################################           "));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"############################################################################################1.0a10.0000", (java.lang.CharSequence)"      ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(6, 9, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("1.0 10.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"hi!0", (java.lang.CharSequence)"444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"1.0#-1.0", (java.lang.CharSequence)"\r   ...", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"0.0#", "hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "-1.0a-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"HI!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    long[] long_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(long_array0, '#', 3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern(" 44444", "1 a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " 44444"+ "'", str2.equals(" 44444"));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("           ", "############################################################################################1.0a10.0000", "\r        ", 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "           "+ "'", str4.equals("           "));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("1.0410.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("1.0 1.0", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0"+ "'", str2.equals("0"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("1.0410.0...", "aaaaaaaaaa", "444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("  ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("1.0#10.0", "1 a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1.0#10.0"+ "'", str2.equals("1.0#10.0"));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    java.lang.CharSequence charSequence0 = null;
    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny(charSequence0, charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("1.0410.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.0410.0"+ "'", str1.equals("1.0410.0"));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"000############################################################################################1.0a10.0000############################################################################################1.0a10.0000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "104-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("   a-1   ", "1.0 10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("1.0#10.0  ", "4444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1.0#10.0  "+ "'", str2.equals("1.0#10.0  "));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(97, 100, 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 108);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("aa1", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("\n");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("", 1, "#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#"+ "'", str3.equals("#"));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.countMatches(charSequence0, (java.lang.CharSequence)"                                                                                                 hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"-1.04-1.0-1.04-1.0", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("   a-1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "a-1"+ "'", str1.equals("a-1"));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"10.0#100.0", (java.lang.CharSequence)"   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"4444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("4hi!04");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"           ", (java.lang.CharSequence)"4hi!04");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "           "+ "'", charSequence2.equals("           "));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.min(444L, 1L, 444L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1L);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterType("                                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("HI!", "############################################################################################1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "HI!"+ "'", str2.equals("HI!"));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"0.0#100.0", (java.lang.CharSequence)"      ...100a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("hi!0", "                                                                                                  10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    java.lang.String[] str_array1 = null;
    java.lang.String[] str_array2 = null;
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceEachRepeatedly("a# ", str_array1, str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "a# "+ "'", str3.equals("a# "));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("                                                                                                 hi!", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                                                 hi!"+ "'", str2.equals("                                                                                                 hi!"));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("hi! ", "      ", 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad(" -1.", 108, "\r   ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   .. -1."+ "'", str3.equals("\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   .. -1."));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"hi ! 0aaaa", (java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"0                                                                                                  ", (java.lang.CharSequence)"           ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 88);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("1.04-1...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.04-1..."+ "'", str1.equals("1.04-1..."));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"   -1   ", (java.lang.CharSequence)"-1.04-1.0-1.04-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   hi!", (java.lang.CharSequence)"1.04-1.04100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("aaaaaaaaaaa", "HI!", "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h0a10h0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "aaaaaaaaaaa"+ "'", str3.equals("aaaaaaaaaaa"));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)".", 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("1.0#-1.0   ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.0#-1.0..."+ "'", str1.equals("1.0#-1.0..."));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"########################################################################################################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("aaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "AAAAAAAAAA"+ "'", str1.equals("AAAAAAAAAA"));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("", 2, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("", "");
    boolean b4 = org.apache.commons.lang3.StringUtils.endsWithAny((java.lang.CharSequence)"                                                                                                 hi!", (java.lang.CharSequence[])str_array3);
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array3, "1.0410.0####################################################################################################", 9, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, (java.lang.CharSequence)"#aaaa", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("############################################################################################1.0a10.0000104-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "############################################################################################1.0a10.0000104-1"+ "'", str1.equals("############################################################################################1.0a10.0000104-1"));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"hi ! 0", (java.lang.CharSequence)"\n", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("aaaaaaaaaa", (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    java.lang.CharSequence[] charSequence_array0 = null;
    int i1 = org.apache.commons.lang3.StringUtils.indexOfDifference(charSequence_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("0                                                                                                  ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(obj_array0, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.min(1L, (-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-1L));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("100", "-1.04-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!", (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"1.04-1...000", (java.lang.CharSequence)"###########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    short[] s_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a', 0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"\r   ...", 97, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("   0.0   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"########################################################################################################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"######################################################################################################################################################################################## ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("######################################################################################################################################################################################## ", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " "+ "'", str2.equals(" "));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("100a-1      ...", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "  ..."+ "'", str2.equals("  ..."));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    float[] f_array3 = new float[] { 1.0f, 10.0f, (-1.0f) };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(f_array3, '4', 0, 97);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("444", "a-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "444"+ "'", str2.equals("444"));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    char[] char_array1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"  ...", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"a-1", (java.lang.CharSequence)"   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)".", (java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h##########a1##########h##########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#########", "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#########", 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#########"+ "'", str3.equals("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#########"));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("###########", "1.0410.0...", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "###########"+ "'", str3.equals("###########"));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("100a-10000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "00001-a001"+ "'", str1.equals("00001-a001"));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("0                                                                                                  10", '4');
    int i4 = org.apache.commons.lang3.StringUtils.lastIndexOfAny((java.lang.CharSequence)"######################################################################################           ", (java.lang.CharSequence[])str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10", "444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10"+ "'", str2.equals("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10"));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"####################################################################################################", (java.lang.CharSequence)"0.0 100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"1aa-1      ...", (java.lang.CharSequence)"  ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"10#-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("0                                                                                                  ", "           ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0                                                                                       "+ "'", str2.equals("0                                                                                       "));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"1.0#-1.0...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(0, 9, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("-1.04-1.0-1.04-1.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("AAAAAAAAAA");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "AAAAAAAAAA"+ "'", str1.equals("AAAAAAAAAA"));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    float[] f_array2 = new float[] { 1.0f, 10.0f };
    float f3 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(f_array2, '4', 1, 1);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(f_array2, 'a');
    float f10 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    float f11 = org.apache.commons.lang3.math.NumberUtils.min(f_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = org.apache.commons.lang3.StringUtils.join(f_array2, 'a', 0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1.0a10.0"+ "'", str9.equals("1.0a10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 1.0f);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"1.04-1....", (java.lang.CharSequence)"0                                                                                                  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.max((short)100, (short)(-1), (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)100);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"100 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"      ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("hi! ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi! "+ "'", str2.equals("hi! "));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("-1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1."+ "'", str1.equals("-1."));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "#aaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.upperCase("############################################################################################1.0a10.0000104-1", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("1.0a-1.0a100.0", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1.0a-1.0a100.0"+ "'", str2.equals("1.0a-1.0a100.0"));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"-1.04-1.0", (java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h0a10h0", 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"   a-1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("      ...100a-1      ...100 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "      ...100a-1      ...100 1"+ "'", str1.equals("      ...100a-1      ...100 1"));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("1.0410.0####################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center(" aa", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " aa"+ "'", str2.equals(" aa"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("########################################################################################################################################################################################", "      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ... ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "########################################################################################################################################################################################"+ "'", str2.equals("########################################################################################################################################################################################"));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"##########", "\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   ...\r   .. -1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("##########", 108, "000############################################################################################1.0a10.0000############################################################################################1.0a10.0000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "000############################################################################################1.0##########"+ "'", str3.equals("000############################################################################################1.0##########"));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", (java.lang.CharSequence)"1a# ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("                                         ...100a-1      ...100 1                                    ", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "          "+ "'", str2.equals("          "));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("      ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "      "+ "'", str1.equals("      "));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"\r10.0#100.", (java.lang.CharSequence)"                                         ...100a-1      ...100 1                                    ", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("      ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("#aaaa", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#aaaa"+ "'", str2.equals("#aaaa"));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("      ", (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)(-1));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    int[] i_array1 = new int[] { 0 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(i_array1, 'a', 10, 3);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(i_array1, ' ');
    java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(i_array1, 'a', 10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0"+ "'", str7.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h0a10h0", (java.lang.CharSequence)"a4 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 103);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("-1100.0-1", 9, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1100.0-1"+ "'", str3.equals("-1100.0-1"));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"1.0 1.0", (java.lang.CharSequence)"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"10 -1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("", 11, "1.0 10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1.0 10.01.0"+ "'", str3.equals("1.0 10.01.0"));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("      ...100a-1      ...", 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    short[] s_array1 = new short[] { (short)100 };
    short s2 = org.apache.commons.lang3.math.NumberUtils.max(s_array1);
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(s_array1, 'a', 3, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = org.apache.commons.lang3.StringUtils.join(s_array1, '4', (-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("100a-1", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100a-1"+ "'", str2.equals("100a-1"));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("", " 44444", ".");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("                                                                                                  10", "100a-1");
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "                                                                                                  10"+ "'", str3.equals("                                                                                                  10"));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("0.0#", 88, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", (java.lang.CharSequence)"\r10.0#100. ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# ", (java.lang.CharSequence)"AAAAAAAAAA");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    short[] s_array1 = new short[] { (short)100 };
    short s2 = org.apache.commons.lang3.math.NumberUtils.max(s_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(s_array1, '#', 0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("   a-1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "   a-1   "+ "'", str1.equals("   a-1   "));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("############################################################################################1.0a10.0", 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("#########", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    java.lang.CharSequence charSequence1 = null;
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("-1.04-1.0", "101.0a10.0", 10);
    java.lang.CharSequence charSequence9 = null;
    java.lang.String[] str_array12 = org.apache.commons.lang3.StringUtils.split("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "                                                                                                    ");
    java.lang.String str13 = org.apache.commons.lang3.StringUtils.prependIfMissingIgnoreCase("10", charSequence9, (java.lang.CharSequence[])str_array12);
    java.lang.String[] str_array18 = org.apache.commons.lang3.StringUtils.split("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "                                                                                                    ");
    java.lang.String str19 = org.apache.commons.lang3.StringUtils.appendIfMissingIgnoreCase("############################################################################################1.0a10.0", (java.lang.CharSequence)"000", (java.lang.CharSequence[])str_array18);
    java.lang.String str20 = org.apache.commons.lang3.StringUtils.replaceEach("10.0#100.0", str_array12, str_array18);
    java.lang.String str21 = org.apache.commons.lang3.StringUtils.replaceEachRepeatedly("   a-1   ", str_array6, str_array18);
    java.lang.String str22 = org.apache.commons.lang3.StringUtils.appendIfMissingIgnoreCase("hi!", charSequence1, (java.lang.CharSequence[])str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "10"+ "'", str13.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "############################################################################################1.0a10.0000"+ "'", str19.equals("############################################################################################1.0a10.0000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "10.0#100.0"+ "'", str20.equals("10.0#100.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "   a-1   "+ "'", str21.equals("   a-1   "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"####################################################################################################", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("   -1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "   -1   "+ "'", str1.equals("   -1   "));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterType("1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("                                                                                                 hi!", "1.04-1....");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                                                 hi!"+ "'", str2.equals("                                                                                                 hi!"));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(0.0f, 444.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.0f);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    java.lang.CharSequence charSequence1 = null;
    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("1#", "#-1.04-1.0");
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.prependIfMissing("", charSequence1, (java.lang.CharSequence[])str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars(" 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", ' ', '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str3.equals("#444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("1.0#-1.0...");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("   ...");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("hi ! 0aaaa", "1.0#10.0000                                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi ! 0aaaa"+ "'", str2.equals("hi ! 0aaaa"));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("041040", 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "041040"+ "'", str2.equals("041040"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"100a-1", "0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    short[] s_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      short s1 = org.apache.commons.lang3.math.NumberUtils.max(s_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h0a10h0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    double[] d_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(d_array0, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("0.0", "100a-1", 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0"+ "'", str3.equals("0.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0"));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("00001-a001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "00001-a001"+ "'", str1.equals("00001-a001"));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    char[] char_array1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)" aa", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("\r        ", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r        "+ "'", str2.equals("\r        "));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("1.0#10.0", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("1#", (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"#10.0 100.0", (java.lang.CharSequence)"1a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", 100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "...444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str3.equals("...444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("###########", "#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("  1   ", 0, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "  1   "+ "'", str3.equals("  1   "));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("1.04-1....");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    java.lang.String[] str_array3 = null;
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("hi!", "0");
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.replaceEachRepeatedly("444", str_array3, str_array6);
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.prependIfMissing("      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ... ", (java.lang.CharSequence)"4hi!04", (java.lang.CharSequence[])str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "444"+ "'", str7.equals("444"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "4hi!04      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ... "+ "'", str8.equals("4hi!04      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ... "));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("   A-1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("1.0410.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1"+ "'", str1.equals("-1"));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("0.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0", "\r        ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0"+ "'", str2.equals("0.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0100a-10.0"));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("", "000                                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("1 a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"########################################################################################################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "aaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("104-1", (-1), 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "104-1"+ "'", str3.equals("104-1"));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("###########", 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "###########"+ "'", str2.equals("###########"));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("", 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("      ...100a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "...100a-1      ..."+ "'", str1.equals("...100a-1      ..."));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("4hi!04");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "4hi!04"+ "'", str1.equals("4hi!04"));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("104-1", "\r", 3);
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 3 };
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.join(obj_array4, "                                                                                                    ", 100, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str12 = org.apache.commons.lang3.StringUtils.join(obj_array4, ' ', 0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"######################################################################################################################################################################################## ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith(charSequence0, (java.lang.CharSequence)"0                                                                                                  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, 11, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("0.0a100.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0a100."+ "'", str1.equals("0.0a100."));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("10.0a100.0", 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    byte[] byte_array1 = new byte[] { (byte)100 };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(byte_array1, '#', 0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("   A-1   000                                                                                                    ", "          ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "   A-1   000                                                                                          "+ "'", str2.equals("   A-1   000                                                                                          "));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("00001-a001", "   hi!0   ", 3, 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "000   hi!0   "+ "'", str4.equals("000   hi!0   "));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("                                                                                                 hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "!ih                                                                                                 "+ "'", str1.equals("!ih                                                                                                 "));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("      ...100a-1      ...", (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("10a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"0.0#100.0", 3, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"aa", (java.lang.CharSequence)"0.0a100.0", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("", "      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ... ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    java.lang.String[] str_array7 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("", "hi!", 10);
    java.lang.String[] str_array11 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("", "hi!", 10);
    java.lang.String str12 = org.apache.commons.lang3.StringUtils.replaceEach("hi!", str_array7, str_array11);
    java.lang.String str13 = org.apache.commons.lang3.StringUtils.appendIfMissingIgnoreCase("hi!", (java.lang.CharSequence)"0", (java.lang.CharSequence[])str_array7);
    boolean b14 = org.apache.commons.lang3.StringUtils.endsWithAny((java.lang.CharSequence)"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", (java.lang.CharSequence[])str_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array7, "10.0#100.0", (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!0"+ "'", str13.equals("hi!0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)" -1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("10.0#100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "10.0#100.0"+ "'", str1.equals("10.0#100.0"));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"############################################################################################1.0a10.0000", (java.lang.CharSequence)"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"1.0#-1.0   ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("      ...100a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "...100a-1      ..."+ "'", str1.equals("...100a-1      ..."));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("100a-1", (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("1.04-1...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.04-1..."+ "'", str1.equals("1.04-1..."));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"hi!0", (java.lang.CharSequence)"000   hi!0   ", 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("a4 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "A4 "+ "'", str1.equals("A4 "));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"0.0#100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("1.0 1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.0 1.0"+ "'", str1.equals("1.0 1.0"));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!", (java.lang.CharSequence)" aa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("aaaaaaaaaa", "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaa"));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf(charSequence0, (java.lang.CharSequence)" 10 -1", 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "                                                                                                  10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str2.equals("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(100.0f, 100.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-1.0f));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("   -1   ", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "   -1   "+ "'", str2.equals("   -1   "));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(97, (-1), 88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("1.0#-1.0", 11, "   A-1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "   1.0#-1.0"+ "'", str3.equals("   1.0#-1.0"));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(charSequence0, (java.lang.CharSequence)"000   hi!0   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#"+ "'", str1.equals("#"));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    java.lang.CharSequence charSequence1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"10a0", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"###########hi ! 0", (java.lang.CharSequence)"0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    short[] s_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, '#', 11, 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.split("                                                                                                    ", "                                                                                                 hi!");
    java.lang.String[] str_array8 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("                                                                                                    ", "");
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.replaceEach("                                                                                                    ", str_array5, str_array8);
    java.lang.String str10 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array8);
    java.lang.String str11 = org.apache.commons.lang3.StringUtils.appendIfMissing("", (java.lang.CharSequence)"4444444444", (java.lang.CharSequence[])str_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "                                                                                                    "+ "'", str9.equals("                                                                                                    "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "4444444444"+ "'", str11.equals("4444444444"));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.split("", "                                                                                                  10");
    java.lang.String[] str_array6 = null;
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.replaceEachRepeatedly("", str_array5, str_array6);
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.prependIfMissing("   A-1   000                                                                                          ", (java.lang.CharSequence)"   A-1   000                                                                                                    ", (java.lang.CharSequence[])str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "   A-1   000                                                                                                       A-1   000                                                                                          "+ "'", str8.equals("   A-1   000                                                                                                       A-1   000                                                                                          "));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"100a-1000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("   A-1   000                                                                                          ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "A-1 000"+ "'", str1.equals("A-1 000"));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("a  ", 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("\r10.0#100.", "############################################################################################1.0a10.0000104-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r"+ "'", str2.equals("\r"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(0.0f, Float.POSITIVE_INFINITY, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("######################################################################################################################################################################################## ", "HI! ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "######################################################################################################################################################################################## "+ "'", str2.equals("######################################################################################################################################################################################## "));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)10, (byte)10, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)10);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("", "aaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1.04-1....", (java.lang.CharSequence)"####################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)1, (short)100, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)1);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("   A-1   000                                                                                          ", (-1), '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "   A-1   000                                                                                          "+ "'", str3.equals("   A-1   000                                                                                          "));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("############################################################################################1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.upperCase("1#", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("############################################################################################1.0a10.0", 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(3, 6, 88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterType("");
    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.stripAll(str_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, '#', 6, 103);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("      ...100a-1      ...100 1", "041040");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"101.0a10.0", (java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h##########a1##########h##########", 88);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("1.0 10.01.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.0 10.01.0"+ "'", str1.equals("1.0 10.01.0"));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(6, 9, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"1.0 10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"aa1", "#aaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("000############################################################################################1.0##########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "000############################################################################################1.0##########"+ "'", str1.equals("000############################################################################################1.0##########"));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("#aaaa", "aaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#aaaa"+ "'", str2.equals("#aaaa"));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("\r10.0#100.", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100."+ "'", str2.equals("\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100."));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"a4 ", (java.lang.CharSequence)"#10.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("", "1.0#10.0  ", 10, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1.0#10.0  "+ "'", str4.equals("1.0#10.0  "));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(6, 6, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"                                                                                                    ", (java.lang.CharSequence)"  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("0.0#100.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    float[] f_array2 = new float[] { 1.0f, 10.0f };
    float f3 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(f_array2, '4', 1, 1);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(f_array2, 'a');
    float f10 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    float f11 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = org.apache.commons.lang3.StringUtils.join(f_array2, '#', 0, 103);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1.0a10.0"+ "'", str9.equals("1.0a10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 10.0f);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"0.0 100.0", (java.lang.CharSequence)"1.0#10.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.split("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "                                                                                                    ");
    java.lang.String[] str_array9 = org.apache.commons.lang3.StringUtils.split("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444", "10", 6);
    java.lang.String str10 = org.apache.commons.lang3.StringUtils.replaceEach("AAAAAAAAAA", str_array5, str_array9);
    java.lang.String str11 = org.apache.commons.lang3.StringUtils.prependIfMissing("######################################################################################           ", (java.lang.CharSequence)"   -1   ", (java.lang.CharSequence[])str_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "AAAAAAAAAA"+ "'", str10.equals("AAAAAAAAAA"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "   -1   ######################################################################################           "+ "'", str11.equals("   -1   ######################################################################################           "));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    char[] char_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(char_array0, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("aa ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "AA "+ "'", str1.equals("AA "));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("10a-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "10a-1"+ "'", str1.equals("10a-1"));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("-1100.0-1", 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("\r.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\r.0 "+ "'", str1.equals("\r.0 "));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"  ...", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "                                                                                                 hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(10.0f, 444.0f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(444.0f, (-1.0f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 444.0f);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"0.0 100.0", (java.lang.CharSequence)"1.0410.0...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "0.0 100.0"+ "'", charSequence2.equals("0.0 100.0"));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"###-1.0##", (java.lang.CharSequence)"0.0 100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    java.lang.CharSequence charSequence2 = null;
    java.lang.String[] str_array7 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("", "hi!", 10);
    java.lang.String[] str_array11 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("", "hi!", 10);
    java.lang.String str12 = org.apache.commons.lang3.StringUtils.replaceEach("hi!", str_array7, str_array11);
    java.lang.String str14 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array7, "                                                                                                    ");
    int i15 = org.apache.commons.lang3.StringUtils.lastIndexOfAny(charSequence2, (java.lang.CharSequence[])str_array7);
    java.lang.String str16 = org.apache.commons.lang3.StringUtils.appendIfMissingIgnoreCase("      ...100a-1      ...", (java.lang.CharSequence)"1.0#-1.0   ...", (java.lang.CharSequence[])str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "      ...100a-1      ...1.0#-1.0   ..."+ "'", str16.equals("      ...100a-1      ...1.0#-1.0   ..."));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("-1.0", "-1.04-1.0-1.04-1.0", "############################################################################################1.0a10.0", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "-1.0"+ "'", str4.equals("-1.0"));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"           ", (java.lang.CharSequence)"A-1 000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny(charSequence0, (java.lang.CharSequence)"   1.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("", "1a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    char[] char_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(char_array0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    char[] char_array1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"000", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("1.0#10.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("aa ", "0.0#100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aa "+ "'", str2.equals("aa "));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)1, (byte)100, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)1);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("1.04-1....", 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1.04-1...."+ "'", str2.equals("1.04-1...."));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("aa ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"   hi!0   ", 88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(88, 100, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("10.0a100.0", "#10.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"-1", 108, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"\r", 9, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("1.0#-1.0   ...", 88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("aa1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1aa"+ "'", str1.equals("1aa"));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.left("0.0a100.0", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("1.04-1...000", "1.0 10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "4-"+ "'", str2.equals("4-"));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    int i1 = org.apache.commons.lang3.math.NumberUtils.toInt("-1.04-1.0-1.04-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    short[] s_array1 = new short[] { (short)100 };
    short s2 = org.apache.commons.lang3.math.NumberUtils.max(s_array1);
    short s3 = org.apache.commons.lang3.math.NumberUtils.min(s_array1);
    short s4 = org.apache.commons.lang3.math.NumberUtils.max(s_array1);
    short s5 = org.apache.commons.lang3.math.NumberUtils.max(s_array1);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(s_array1, '4');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(s_array1, ' ', (-1), 88);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s4 == (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s5 == (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100"+ "'", str7.equals("100"));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("1.0#10.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "  0.01#0.1"+ "'", str1.equals("  0.01#0.1"));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"#########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("100a-1      ...");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("1.0#10.0  ", 2, "0                                                                                                  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1.0#10.0  "+ "'", str3.equals("1.0#10.0  "));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("1.0#-1.0   ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.0#-1.0   ..."+ "'", str1.equals("1.0#-1.0   ..."));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("\r.0  ", (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"aaaaaaaaaa", (java.lang.CharSequence)"-1.04-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("1.0#10.0\n", 97, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "                                                                                        1.0#10.0\n"+ "'", str3.equals("                                                                                        1.0#10.0\n"));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("00001-a001", "...444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "00001-a001"+ "'", str3.equals("00001-a001"));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    short[] s_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a', 88, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    java.lang.CharSequence charSequence2 = null;
    char[] char_array4 = new char[] {  };
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(char_array4, '4');
    boolean b7 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"\r", char_array4);
    int i8 = org.apache.commons.lang3.StringUtils.indexOfAny(charSequence2, char_array4);
    boolean b9 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"100a-1      ...", char_array4);
    boolean b10 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"aa", char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("", "      ...100a-1      ...1.0#-1.0   ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("1aa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1aa"+ "'", str1.equals("1aa"));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("      ...100a-1      ...1.0#-1.0   ...", "      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ... ", "####################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "      ...100a-1      ...1.0#-1.0   ..."+ "'", str3.equals("      ...100a-1      ...1.0#-1.0   ..."));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(4.444444444444444E99d, 4.444444444444444E99d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split("", ' ');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, 'a', 0, 97);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("1.0#-1.0   ...", "         ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1.0#-1.0   ..."+ "'", str2.equals("1.0#-1.0   ..."));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    java.lang.CharSequence charSequence3 = null;
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("                                                                                                    ", "");
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.getCommonPrefix(str_array6);
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array6);
    int i9 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence[])str_array6);
    java.lang.String str10 = org.apache.commons.lang3.StringUtils.prependIfMissing("      ...", charSequence3, (java.lang.CharSequence[])str_array6);
    java.lang.String str11 = org.apache.commons.lang3.StringUtils.getCommonPrefix(str_array6);
    java.lang.String str12 = org.apache.commons.lang3.StringUtils.appendIfMissing("1.04-1.04100.0", (java.lang.CharSequence)"   0.0   ", (java.lang.CharSequence[])str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "      ..."+ "'", str10.equals("      ..."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1.04-1.04100.0   0.0   "+ "'", str12.equals("1.04-1.04100.0   0.0   "));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern(" 44444", "-1.04-1.0", "...100a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " 44444"+ "'", str3.equals(" 44444"));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("-1100.0-1", '#', ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1100.0-1"+ "'", str3.equals("-1100.0-1"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(444.0d, 1.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 444.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", (java.lang.CharSequence)"0\r        ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 102);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("\r.0  ", 9, "   -1   ######################################################################################           ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "  \r.0    "+ "'", str3.equals("  \r.0    "));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("-1.04-1.0", "      ", 102);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1.04-1.0"+ "'", str3.equals("-1.04-1.0"));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"hi ! 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("0                                                                                                  10", "-1100.0-1", "444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "4                                                                                                  44"+ "'", str3.equals("4                                                                                                  44"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    java.lang.CharSequence charSequence1 = null;
    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"0.0a100.", charSequence1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("0                                                                                       ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("#-1.04-1.0", "hi! ", 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    char[] char_array5 = new char[] { 'a', ' ' };
    boolean b6 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"-1.0", char_array5);
    boolean b7 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"0.0#100.0", char_array5);
    int i8 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"00001-a001", char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 6);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#########", (java.lang.CharSequence)"\r.0 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("AAAAAAAAAA");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "AAAAAAAAAA"+ "'", str1.equals("AAAAAAAAAA"));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"4                                                                                                  44", (java.lang.CharSequence)"\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    int[] i_array1 = new int[] { 0 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(i_array1, 'a', 10, 3);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(i_array1, '#', 3, (-1));
    java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(i_array1, '4');
    java.lang.String str15 = org.apache.commons.lang3.StringUtils.join(i_array1, '4', 6, 6);
    int i16 = org.apache.commons.lang3.math.NumberUtils.max(i_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str20 = org.apache.commons.lang3.StringUtils.join(i_array1, '4', 88, 108);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "0"+ "'", str11.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfBlank((java.lang.CharSequence)"   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   hi!", (java.lang.CharSequence)"-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   hi!"+ "'", charSequence2.equals("   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   hi!"));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...hi!", 0, 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ..."+ "'", str3.equals("      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ..."));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("0.0a100.0", 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0a0.0"+ "'", str2.equals("100.0a0.0"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("10a-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#1"+ "'", str1.equals("#1"));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"\r.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("#########", "0\r        ", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"a-1", 103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(0.0f, 100.0f, 444.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 444.0f);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("100a-1      ...", 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ..."+ "'", str2.equals("100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ...100a-1      ..."));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("###-1.0##", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "###-1.0##"+ "'", str2.equals("###-1.0##"));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("#aaaa", 100, 103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h0a10h0", (java.lang.CharSequence)"###########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("hi ! 0aaaa", "\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.", "###########hi ! 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   ", (java.lang.CharSequence)"\r.0  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"1 a-1      ...", (java.lang.CharSequence)"hi!0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"####################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "!ih...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      "+ "'", str1.equals("!ih...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      ...      "));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"HI!    -1   ", "1 a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("   A-1   000                                                                                                    ", "1aa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "   A-1   000                                                                                                    "+ "'", str2.equals("   A-1   000                                                                                                    "));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("\r   ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "..."+ "'", str1.equals("..."));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.left("hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!44444444"+ "'", str2.equals("hi!44444444"));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("  \r.0    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "  \r.0    "+ "'", str1.equals("  \r.0    "));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.split("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "                                                                                                    ");
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.appendIfMissingIgnoreCase("############################################################################################1.0a10.0", (java.lang.CharSequence)"000", (java.lang.CharSequence[])str_array4);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array4, 'a');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array4, '4', 0, 11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "############################################################################################1.0a10.0000"+ "'", str5.equals("############################################################################################1.0a10.0000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str7.equals("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!", 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(0.0f, (-1.0f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 1.0f);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("10.0a100.0", (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    byte[] byte_array2 = new byte[] { (byte)100, (byte)1 };
    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min(byte_array2);
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(byte_array2, ' ');
    byte byte6 = org.apache.commons.lang3.math.NumberUtils.max(byte_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = org.apache.commons.lang3.StringUtils.toString(byte_array2, "############################################################################################1.0a10.0000");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "100 1"+ "'", str5.equals("100 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)100);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("\r10.0#100. ", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r10.0#100. "+ "'", str2.equals("\r10.0#100. "));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0 hi!", "1.0 1.0", 103);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", "1.0#10.0000                                                                                                    ", 103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.equals(charSequence0, (java.lang.CharSequence)"#########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"10.0a100.0", (java.lang.CharSequence)"AA ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "10.0a100.0"+ "'", charSequence2.equals("10.0a100.0"));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("   0.0   ", 0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "   0.0   "+ "'", str3.equals("   0.0   "));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# ", "...100a-1      ...");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# "+ "'", str2.equals("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10a# "));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"00001-a001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("   0.0   ", "000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "   0.0   "+ "'", str2.equals("   0.0   "));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    java.lang.CharSequence charSequence1 = null;
    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByCharacterType("10");
    boolean b4 = org.apache.commons.lang3.StringUtils.startsWithAny(charSequence1, (java.lang.CharSequence[])str_array3);
    boolean b5 = org.apache.commons.lang3.StringUtils.startsWithAny((java.lang.CharSequence)"10", (java.lang.CharSequence[])str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.max((byte)10, (byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)100);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("######################################################################################           ", "                                                                                                    ", "hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "######################################################################################           "+ "'", str4.equals("######################################################################################           "));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("      ...100a-1      ...100 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("", "000############################################################################################1.0##########", "0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("  \r.0    ", "1.0a-1.0a100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "  \r.0    "+ "'", str2.equals("  \r.0    "));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("####################################################################################################", 100, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase((java.lang.CharSequence)"      ...100a-1      ...100 1", (java.lang.CharSequence)" -1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("#444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", 10, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str3.equals("#444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"+ "'", str1.equals("0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"10a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("", "hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0hi!444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#"+ "'", str1.equals("#"));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"                                                                                                  10", 10, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("hi!", 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!                                                                                                         "+ "'", str2.equals("hi!                                                                                                         "));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("a4 ", "  1   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "  1   "+ "'", str2.equals("  1   "));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)" ", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("###########");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "###########"+ "'", str1.equals("###########"));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("                                                                                                 hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"+ "'", str1.equals("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441h0a10h0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("0", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0"+ "'", str2.equals("0"));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"+ "'", str2.equals("hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0"));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("100.0#10.0#1.0", 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("   A-1   000                                                                                                       A-1   000                                                                                          ", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "  A-1   000                                                                                                       A-1   000                                                                                          "+ "'", str2.equals("  A-1   000                                                                                                       A-1   000                                                                                          "));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    char[] char_array4 = new char[] {  };
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(char_array4, '4');
    boolean b7 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)" ", char_array4);
    boolean b8 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"101.0a10.0", char_array4);
    int i9 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"444", char_array4);
    boolean b10 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"1.0#10.0", char_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = org.apache.commons.lang3.StringUtils.join(char_array4, 'a', 103, 108);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0   444   hi!0", (java.lang.CharSequence)"0                                                                                       ", 88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"      ...", (java.lang.CharSequence)"AA ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("", (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("", "########################################################################################################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("######################################################################################           ", "########################################################################################################################################################################################", "100.0a0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "11111111111111111111111111111111111111111111111111111111111111111111111111111111111111           "+ "'", str3.equals("11111111111111111111111111111111111111111111111111111111111111111111111111111111111111           "));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("-1.04-1.0", 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                 -1.04-1.0                                                  "+ "'", str2.equals("                                                 -1.04-1.0                                                  "));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("####################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "####################################################################################################"+ "'", str1.equals("####################################################################################################"));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("#1", 97, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#1"+ "'", str3.equals("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444#1"));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.equals(charSequence0, (java.lang.CharSequence)"#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"1a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("000############################################################################################1.0a10.0000############################################################################################1.0a", "000############################################################################################1.0a10.0000############################################################################################1.0a");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, 'a', (-1), 9);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"\r10.0#100.", (java.lang.CharSequence)"AA ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    float[] f_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(f_array0, 'a', 103, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"1a# ", (java.lang.CharSequence)"!ih                                                                                                 ", (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)(-1), (byte)10, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)(-1));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("1a# ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("100 1", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)10, (short)0, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    float[] f_array2 = new float[] { 1.0f, 10.0f };
    float f3 = org.apache.commons.lang3.math.NumberUtils.max(f_array2);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(f_array2, '4', 1, 1);
    float f8 = org.apache.commons.lang3.math.NumberUtils.min(f_array2);
    java.lang.String str12 = org.apache.commons.lang3.StringUtils.join(f_array2, '4', 108, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("-1.0#-1.0", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"444", (java.lang.CharSequence)" 44444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100."+ "'", str1.equals("10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100.\r10.0#100."));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("", "hi!", 10);
    java.lang.String[] str_array5 = null;
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.replaceEachRepeatedly("0.0", str_array4, str_array5);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array4);
    java.lang.String[] str_array9 = org.apache.commons.lang3.StringUtils.stripAll(str_array4, "hi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.0\nhi! 444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444441.0a10.00                                                                                                  10");
    java.lang.String str10 = org.apache.commons.lang3.StringUtils.getCommonPrefix(str_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0.0"+ "'", str6.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("-1.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1.0#-1.0"+ "'", str1.equals("-1.0#-1.0"));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"1.04-1....");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterType("");
    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.stripAll(str_array1);
    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.stripAll(str_array1, "                                                 -1.04-1.0                                                  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("-1.04-1.0-1.04-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1.04-1.0-1.04-1.0"+ "'", str1.equals("-1.04-1.0-1.04-1.0"));

  }

}
